| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_conversation_item_t Struct Reference

`#include <conversation_table.h>`

## Public Attributes
ct_dissector_info_t * | dissector_info
address | src_address
address | dst_address
conversation_type | ctype
uint32_t | src_port
uint32_t | dst_port
conv_id_t | conv_id
uint64_t | rx_frames
uint64_t | tx_frames
uint64_t | rx_bytes
uint64_t | tx_bytes
uint64_t | rx_frames_total
uint64_t | tx_frames_total
uint64_t | rx_bytes_total
uint64_t | tx_bytes_total
nstime_t | start_time
nstime_t | stop_time
nstime_t | start_abs_time
bool | filtered
conv_extension_tcp_t | ext_tcp

## Detailed Description

Conversation list information

## Member Data Documentation

## ◆ conv_id

conv_id_t _conversation_item_t::conv_id

conversation id

## ◆ ctype

conversation_type _conversation_item_t::ctype

conversation key_type (e.g. CONVERSATION_TCP)

## ◆ dissector_info

ct_dissector_info_t* _conversation_item_t::dissector_info

conversation information provided by dissector

## ◆ dst_address

address _conversation_item_t::dst_address

destination address

## ◆ dst_port

uint32_t _conversation_item_t::dst_port

destination port

## ◆ ext_tcp

conv_extension_tcp_t _conversation_item_t::ext_tcp

extension for optional TCP counters

## ◆ filtered

bool _conversation_item_t::filtered

the entry contains only filtered data

## ◆ rx_bytes

uint64_t _conversation_item_t::rx_bytes

number of received bytes

## ◆ rx_bytes_total

uint64_t _conversation_item_t::rx_bytes_total

number of received bytes total

## ◆ rx_frames

uint64_t _conversation_item_t::rx_frames

number of received packets

## ◆ rx_frames_total

uint64_t _conversation_item_t::rx_frames_total

number of received packets total

## ◆ src_address

address _conversation_item_t::src_address

source address

## ◆ src_port

uint32_t _conversation_item_t::src_port

source port

## ◆ start_abs_time

nstime_t _conversation_item_t::start_abs_time

absolute start time for the conversation

## ◆ start_time

nstime_t _conversation_item_t::start_time

relative start time for the conversation

## ◆ stop_time

nstime_t _conversation_item_t::stop_time

relative stop time for the conversation

## ◆ tx_bytes

uint64_t _conversation_item_t::tx_bytes

number of transmitted bytes

## ◆ tx_bytes_total

uint64_t _conversation_item_t::tx_bytes_total

number of transmitted bytes total

## ◆ tx_frames

uint64_t _conversation_item_t::tx_frames

number of transmitted packets

## ◆ tx_frames_total

uint64_t _conversation_item_t::tx_frames_total

number of transmitted packets total

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/conversation_table.h